#!/bin/sh

#


. $SYSTEM_GUARD/General.conf

WARN_TYPE="FILESYSTEM_FULL"

DUMMY=`cat $SYSTEM_GUARD/Data/filesystems.txt`
if [ "$DUMMY" = "" ]; then
  exit 0
fi

cat $SYSTEM_GUARD/Data/filesystems.txt | while read LINE
do
  FILESYSTEM=`echo $LINE|awk '{print $1}'`
  PERCENT_FULL=`echo $LINE|awk '{print $2}'`

  if [ "$FILESYSTEM" != "" ]; then
    ACT_PCT_FULL=`df -k $FILESYSTEM | grep -v Filesys | awk '{print $5}'| sed 's/%//g'`
    if [ "$ACT_PCT_FULL" -ge "$PERCENT_FULL" ]; then
      $SYSTEM_GUARD/SendWarning.sh $WARN_TYPE "$FILESYSTEM $ACT_PCT_FULL%"
    fi
  fi
done

exit 0

